#include <lpc17xx.h>

void putchr0(unsigned char ch){//write character to serial port
	while(!LPC_UART0->LSR & 0x20);
	LPC_UART0->THR = ch;//out ch
}

void putstr0(unsigned char ch[]){
	int i=0;
	while(ch[i]!='\0') putchr0(ch[i++]);
}
								
void UARTSetting(void){
		
	// set CPU clock on 88MHz
	LPC_SC->SCS = 0x30;//enable main oscillator and ascillator range select??????????
	LPC_SC->CLKSRCSEL = 1; //select main oscillator for pll input source???????
	LPC_SC->PCLKSEL0 |= 0x0;//clock of UART0,1 = CPUCLK/4=	   ??
	LPC_PINCON->PINSEL0 |= 0x40000050;//ENABLE TXD1 , TXD0, RXD0
	LPC_PINCON->PINSEL1 |= 0x01;//ENABLE RXD1
	LPC_UART1->FCR = 7;//ENABLE & CLEAR FIFO
	LPC_UART1->LCR = 0x83;//8bit data,1 stop bit,no parity,enable divisor latch bit(DLB)
	LPC_UART1->DLL = 0x78;//(78)baud rate fixed to 9600 @pclk=18MHz
	LPC_UART1->DLM = 0;
	LPC_UART1->LCR = 3;//disable DLB
	LPC_UART0->FCR = 7;//ENABLE & CLEAR FIFO
	LPC_UART0->LCR = 0x83;//8bit data,1 stop bit,no parity,enable divisor latch bit(DLB)
	LPC_UART0->DLL = 0x78;//(78)baud rate fixed to 9600 @	pclk=18MHz
	LPC_UART0->DLM = 0;
	LPC_UART0->LCR = 3;//disable DLB
}


